function add_ics(osel)
{
   var i=osel.length;

   osel[i++] = new Option('DLD (I.C.S. Algobox Net II)', 'DLD');
   osel[i++] = new Option('FGG (I.C.S. Algobox Net)', 'FGG');
   osel[i++] = new Option('XZB (I.C.S. Algobox (demo)', 'XZB');
   osel[i++] = new Option('CS  (I.C.S. Cyprus)', 'CS ');
   osel[i++] = new Option('CS~ (I.C.S. Cyprus)', 'CS~');
}
function add_anelixis(osel)
{
   var i=osel.length;

   osel[i++] = new Option('DSK (Anelixis DM-3000)', 'DSK');
   osel[i++] = new Option('DMA (Anelixis DM-3000)', 'DMA'); // demo

   osel[i++] = new Option('DCD (Anelixis DM-2000)', 'DCD');
   osel[i++] = new Option('EKX (Anelixis DM-1000)', 'EKX');
   
   osel[i++] = new Option('EPZ (ΠΟΥΛΙΑΔΗΣ DM100)', 'EPZ');
   osel[i++] = new Option('EPT (Micrelec variant)', 'EPT');
   osel[i++] = new Option('EKI (SAMTEC)', 'EKI');

   osel[i++] = new Option('ENZ (Proline)', 'ENZ');

   osel[i++] = new Option('FBD (New type)', 'FBD');
   osel[i++] = new Option('FBG (DM-1000 demo)', 'FBG');

   osel[i++] = new Option('ABC (Micrelec test)', 'ABC');
   /*
      osel[i++] = new Option('EPY (DPS-FB40)', 'EPY');
      osel[i++] = new Option('EPO (FASY)', 'EPO');
      // ENZ, ELMI
      // PEL, ELMI
   */
}
function add_elmi(osel)
{
   var i=osel.length;

   osel[i++] = new Option('FGF (Casio FP700)', 'FGF');
   osel[i++] = new Option('GFF (Demo FP700)', 'GFF');
}
function fill_eafdss(osel)
{
   if (typeof mygroup == 'undefined' || mygroup==99) {
      add_ics(osel);
      add_anelixis(osel);
      add_elmi(osel);
      osel.selectedItemIndex = 0;
   }
   else if (mygroup==1) {
      add_anelixis(osel);
      osel.selectedItemIndex = 0;
   }
   else if (mygroup==2) {
      add_ics(osel);
      osel.selectedItemIndex = 0;
   }
   else if (mygroup==3) {
      add_elmi(osel);
      osel.selectedItemIndex = 0;
   }
}
function CheckData2(f)
{
   if (f.SER_SERIAL.value.length<8 || f.SER_SERIAL.value.search('[^0-9]')>=0) 
   {
      window.alert("Λάθος στο πεδίο [Κωδικός]");
      f.SER_SERIAL.focus();
      return false;
   }
   
   return true;
}
function CheckData(f)
{   
   var msg;
   
   if (f.FROMNR.value.length<8 || f.FROMNR.value.search('[^0-9]')>=0) 
   {
      window.alert("Λάθος στο πεδίο [Απο]");
      f.FROMNR.focus();
      return false;
   }
   
   if (f.TONR.value.length<8 || f.TONR.value.search('[^0-9]')>=0)
   {
      window.alert("Λάθος στο πεδίο [Ως]");
      f.TONR.focus();
      return false;
   }
   
   x1=parseInt(f.FROMNR.value,10);
   x2=parseInt(f.TONR.value,10);
   x3=parseInt(f.TOTALNR.value,10);
   if (x1<1 || x2<x1 || (x3!=(x2-x1+1))) {
      window.alert("Λάθος ποσότητες");
      return false;
   }

   var addnew=f.ADDNEW.selectedIndex;
   if (addnew<=0) // Εμφανιση μονο
      return true;

   var typad=f.SER_ITEMID.selectedIndex;
   if (typad<0) {
      window.alert("Δεν επιλέξατε Τύπο άδειας");
      return false;
   }
   
   if (f.SER_ITEMID.options[typad].value=='250') {
      msg='Η άδεια #250 έχει πλέον καταργηθεί. Είστε σίγουροι?';   
      if (!window.confirm(msg))
         return false;
   }
   
   var i=f.SER_AUTH.selectedIndex;
   if (i<0) i=0;
   var ser_auth = f.SER_AUTH.options[i].value;
   
   if (addnew==2) {
      // Check for SER_ITEMID value
      var i=f.SER_AUTH.selectedIndex;
      if (i<0) i=0;
      if (ser_auth != 'EPZ') {
         window.alert('Επιτρέπεται [αναδημιουργία παλιών] μόνο για EPZ!');
         return false;
      }
      // Check for min/max
      var minold=6008800;
      var maxold=7009537;
      if (x1<minold || x2>maxold) {
         window.alert('Επιτρέπεται [αναδημιουργία παλιών] μόνο για 0' + minold + ' - 0' +maxold);
         return false;
      }
   }

   msg="Τύπος "+f.SER_ITEMID.options[typad].value+": (Ανα)δημιουργία "+x3+" κωδικών (από "+x1+" ως "+x2+") Εντάξει?";
   if (window.confirm(msg))
      return true;
   else
      return false;
}
function CheckPass(f)
{
   x=f.UPASS.value.length;
   if (x<4) {
      window.alert("Τουλάχιστο 4 χαρακτήρες απαιτούνται για Password");
      return false;
   }
   else
      return true;
}
function GoInvoice(x)
{
   if (!(a=window.prompt("Νέα αξία 'Αριθμός Τιμολογίου' (space για διαγραφή)","")))
      return;

   f=document.myform;
   f.THISNR.value=x;
   f.INVOICE.value=a;
   f.submit();
}
function ResetSerial1()
{
   var f=document.myform;
   var i=f.SER_ITEMID.selectedIndex;
   var i2=f.SER_AUTH.selectedIndex;
   if (i<3 && i2>=0 && f.SER_AUTH.options[i2].value=='EPY')
      f.SER_AUTH.selectedIndex=0;
}
function ResetSerial2()
{
   var f=document.myform;
   var i=f.SER_AUTH.selectedIndex;
   if (i>=0 && f.SER_AUTH.options[i].value=='EPY')
      f.SER_ITEMID.selectedIndex=3;
}
                                                                                                                                    